Skip to main content
GET
/
social
/
posts
List scheduled posts
curl --request GET \
  --url https://rawugc.com/api/v1/social/posts \
  --header 'Authorization: Bearer <token>'
{
  "posts": [
    {
      "postId": "<string>",
      "platforms": [
        "<string>"
      ],
      "status": "draft",
      "scheduledFor": 123,
      "timezone": "<string>",
      "content": "<string>",
      "videoUrl": "<string>",
      "createdAt": 123,
      "publishedAt": 123
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY

Query Parameters

fromDate
integer

Filter posts scheduled after this Unix timestamp (ms)

toDate
integer

Filter posts scheduled before this Unix timestamp (ms)

includeDrafts
boolean
default:false

Include draft posts in the results

Response

List of social posts

posts
object[]
count
integer